### Method

# GLib PatternSpec equal

#### Declaration [src]

    gboolean
    g_pattern_spec_equal (
      GPatternSpec* pspec1,
      GPatternSpec* pspec2
    )

#### Description [src]

Compares two compiled pattern specs and returns whether they will match the same set of strings.

#### Parameters

`pspec2`

  Type: `GPatternSpec`

  Another `GPatternSpec`.

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

Whether the compiled patterns are equal.